> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/43.-zapros-poluchit-polya.md).

# 43. Запрос: получить «поля»

Запрос для получения пользователского "Fields" с фильтрами по `меткам`, `farmUuid`, `fieldUuid`, `имени_поля`. Поля возвращаются в алфавитном порядке по имени поля.&#x20;

Фильтр поля работает как условие AND, например, возможно фильтровать по `farmUuid` и по `fieldUuid` и по `меткам` и по `имени_поля` в одном запросе или использовать только одно условие фильтра или не использовать условие.&#x20;

Фильтр по `имени_поля` работает как `начинается_с`.&#x20;

Чтобы реализовать логику постраничного вывода, используйте параметр запроса `размерСтраницы`. Есть `последнийОцененныйКлюч` и `общееКоличество` в ответе, где `последнийОцененныйКлюч` относится к последней обработанной записи, соответствующей условию фильтра, и `общееКоличество` является общим числом записей, которые соответствуют условиям фильтрации.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      название
      labels {
        название
        value
      }
      общееКоличество
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/43.-zapros-poluchit-polya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
